<template>
    <div class="add">
        <AddMovementForm :movementListCategory="categoryList" @new-movements="addMovements" />
    </div>
</template>
<script>
import AddMovementForm from './AddMovementForm.vue'
import api from '@/api.js'
export default {
    components: {
        AddMovementForm,
    },

    data() {
        return {
            categoryList: [],
        }
    },
    async mounted() {
        console.log('she')
        this.categoryList = await this.displayCategory()
    },
    methods: {
        async displayCategory() {
            console.log('zior1')
            return await api.displayApiCategory()
        },
        async addMovements(movements) {
            movements.type_movements = this.$route.params.type
            await api.getExpenses(movements)
        },
    },
}
</script>
<style  scoped>
.add {
    margin-top: 20%;
}
</style>
